commit:     09e71d611b6f32bc4b9cd31fb8778bf767f949aa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  4 03:29:10 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb  4 03:30:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09e71d61

dev-python/nuitka: Bump to 2.6.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nuitka/Manifest            |  1 +
 dev-python/nuitka/nuitka-2.6.3.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 560ed38e8cf6..3fea288609e3 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,3 +1,4 @@
 DIST Nuitka-2.6.1.tar.gz 3862941 BLAKE2B 
aab569ff14d69e48120957b822380a228d0109066fbef41e791c1f13181eba4fc4bfd2b0707888edd55a55cc700fc6eabc79ff8acaf7538a120f70318006fb2d
 SHA512 
73143cdcba2474a0bdbd818726a6529216214efd02bb04876de06b2b30a1ffe380c080da1a9c573556443a6488fd1955e1c52fe3566c87ff4764f64af98fe852
 DIST Nuitka-2.6.2.tar.gz 3865407 BLAKE2B 
6cc4d00e19e8fd59f01f33f145077bfe302552a8f1d922b05c99ee28073a4cf92134ecdfd481b1fedf7cf24f28cf3416495b19d2c242a35983bf96266f62b2cf
 SHA512 
84629c9f611a9d731231c1572ea4c91068067d1935ac2dbbfaa871c6c289bfd32aaa194e46dd461f1a3c4803eb13ca6dbaf610e3aab0bc83a9d1222c28a61509
+DIST Nuitka-2.6.3.tar.gz 3867473 BLAKE2B 
77d6d173c130166b26a8cce7ce9b21658f832d86f99022bb43057d8e535d085fabecc0f4541d60eb3fc7b3c6c7785b87d7af789e2d05692408a2e6d9e0550859
 SHA512 
5e31812dc5351afeb8a172bb3a3b46133d34e8a569940182abe439adb929f6eb810ffdef6b50312e7a5645b97c3b7ec71f5c180ddfc4981b9f4445dc329812e7
 DIST Nuitka-2.6.tar.gz 3858229 BLAKE2B 
810f99da2560a302366cd2f9729fcbd1e4a0b4429cba3d4b4b43e70c91619afa8f3f4f73bf19282e246c2ec4ffbf468df8206ed3acbac09148f5302c5b67a3d9
 SHA512 
5194614cc8de3d3fa0f8be3769f0fb6e10b6c6f1bd45e5be0b09e96774a6a0cbe6938f6c66f903b23ad4cb480d7557aa69d14a4b8a659d12e33859f215e9a1f7

diff --git a/dev-python/nuitka/nuitka-2.6.3.ebuild 
b/dev-python/nuitka/nuitka-2.6.3.ebuild
new file mode 100644
index 000000000000..a5b9f247836d
--- /dev/null
+++ b/dev-python/nuitka/nuitka-2.6.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+       https://nuitka.net/
+       https://github.com/Nuitka/Nuitka/
+       https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-build/scons[${PYTHON_USEDEP}]
+       >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+       >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+       # remove vendored version of SCons that is Python2 only
+       # this should be removed when upstream removes support for Python2
+       rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+       eapply_user
+}
+
+python_install() {
+       distutils-r1_python_install
+       doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+       append-ldflags -Wl,--no-warn-search-mismatch
+       ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+       optfeature "support for stand-alone executables" dev-util/patchelf
+}

Reply via email to